[SETUP]
SETUP_CODE={C2D7BA7B-B0BD-2039-B386-0F6B4E206E9B}
TITLE=\Autodesk Helius PFA 2019
LOG=%tmp%\HeliusPFA2019.log
EVALMSI=SetupRes\eval.msi
PRIMARY_MSI=%platform%\Prod1\ASCA.msi

#USE_REMOVABLE_DRIVE=YES
SHOW_PRODUCT_INFO_DLG=YES
#SYSUPDATE=MSI
RESOURCE_PATH=%lang%\SetupRes
SETUP_ICON=SetupRes\acmpan.ico

LPMODE=NO_ADD_LP
AVAILABLELANGUAGES=en-US;de-DE;ja-JP;zh-CN
DEFAULTMEDIALANGUAGE=en-US
SETUP_TYPE=7

DOCUMENT_LINK=http://www.autodesk.com/hpfa-2019-install-%setupuilang%
#DOCUMENT_FALLBACK_LINK=SetupRes\InfoLink\index.html
#SUPPORT_LINK=http://exchange.autodesk.com/autocad/%setupuilang%/online-help/browse#GUID-A531563E-212C-49FF-A966-B7C336603E0-1.htm
#SUPPORT_FALLBACK_LINK=SetupRes\InfoLink\index.html
SYSTEMREQUIRE_LINK=http://www.autodesk.com/hpfa-2019-sysreqs-%setupuilang%
#SYSTEMREQUIRE_FALLBACK_LINK=SetupRes\InfoLink\index.html 
ERROR_PAGE=SetupRes\InfoLink\404.html

UPI2_ENABLED=YES
UPI2_GENERATE=YES
UPI2_RELEASE=2019
UPI2_UNITTYPE=PRD
UPI2_PRODUCTLINE=ACMPAN
UPI1_MASTER_ID=NA
II_ENABLED=YES

#==================== Platform Requirement

OSMAJVER=5
OSMINVER=1
SPMAJVER=2
PLATFORM=x64

#==================== Install Execute & UI Sequence

EXE_SEQUENCE=ASCA;ASSA;NLM;ADSKAPP
INSTALL_SEQUENCE=ASCA;ASSA;NLM;ADSKAPP
UI_SEQUENCE=LaunchDlg;BeginDeploymentDlg;LicenseDlg;ProductInfoDlg;ProductSelectionDlg2;CLMCERT;CLM;ASCA;ASSA;NLM;FullProgressDlg;InstallCompleteDlg;DeploymentCompleteDlg;DeploymentFailedDlg;ADSKAPP

#==================== UI

TOP_BANNER=SetupRes\TopBanner.png
BACKGROUND_IMAGE=SetupRes\main.png
LOGO=SetupRes\AutodeskLogo.png

UI_MODE=

#==================== Deployment Info

DEPLOYMENT_NAME=
CLIENT_LOGGING=YES
EXTRA_FILES=ASCA;*.exe:Setup:CER:eula:3rdParty:nlsdl:setupres:%lang%

#==================== AdLM ProdKey Info

ADLM_CONFIG_FILE=Setup\HeliusPFAConfig.pit
ADLM_PIT_DLL=Setup\adlmPIT.dll
ADLM_VERSION=2019.0.0.F
ADLM_TRIAL_DAYS=30
#LANG2LONG=%selectedlang%

#==================== Install Info

INSTALL_PATH=%ProgramFiles%\Autodesk
CREATE_DESKTOP_SHORTCUT=YES

#==================== Global MSI Properties
PATH_LENGTH=116
UPI2={5245C691-2545-4D92-9195-C7EB4F6FAE53}
UPI2_BUILDNUM=40.0.50.0

[GLOBAL_MSI_PROPERTIES]

#==================== Common UIs: install mode

[LaunchDlg]
UI_CREATOR=LaunchDialog
UI_SOURCE=Setup\SetupAcadUi.dll
BACKGROUND_IMAGE=SetupRes\main.png

[LicenseDlg]
UI_CREATOR=LicenseDialog
UI_SOURCE=Setup\SetupAcadUi.dll
UI_CONDITION=NOT ADSK_OEMPREINSTALL

[ProductSelectionDlg2]
UI_CREATOR=ProductSelectionDialog2
UI_SOURCE=Setup\SetupAcadUi.dll
BACKGROUND_IMAGE=SetupRes\main.png

[ProductInfoDlg]
UI_CREATOR=ProductInfoDialog
UI_SOURCE=Setup\SetupAcadUi.dll
UI_CONDITION=ADSK_LAUNCH_MODE<>"TOOLS"

[FullProgressDlg]
UI_CREATOR=FullProgressDialog
UI_SOURCE=Setup\SetupAcadUi.dll
UI_INFOTAINMENT_PATH=SetupRes\Infotainment\Images
UI_INFOTAINMENT_ELAPSE=6000
BACKGROUND_IMAGE=SetupRes\main.png

[InstallCompleteDlg]
UI_CREATOR=InstallCompleteDialog
UI_SOURCE=Setup\SetupAcadUi.dll
UI_CONDITION=ADSK_LAUNCH_MODE<>"DEPLOYMENT" AND ADSK_LAUNCH_MODE<>"MINIMAL_DEPLOYMENT"
BACKGROUND_IMAGE=SetupRes\main.png

#==================== Common UIs: deploy mode

[BeginDeploymentDlg]
UI_CREATOR=BeginDeploymentDialog
UI_SOURCE=Setup\DeployUi.dll
UI_CONDITION=ADSK_LAUNCH_MODE="DEPLOYMENT" OR ADSK_LAUNCH_MODE="MINIMAL_DEPLOYMENT"

[DeploymentCompleteDlg]
UI_CREATOR=DeploymentCompleteDialog
UI_SOURCE=Setup\DeployUi.dll
UI_CONDITION=(ADSK_LAUNCH_MODE="DEPLOYMENT" OR ADSK_LAUNCH_MODE="MINIMAL_DEPLOYMENT") AND ADSK_SETUP_SUCCEEDED
BACKGROUND_IMAGE=SetupRes\main.png

[DeploymentFailedDlg]

UI_CREATOR=DeploymentFailedDialog
UI_SOURCE=Setup\DeployUi.dll
UI_CONDITION=(ADSK_LAUNCH_MODE="DEPLOYMENT" OR ADSK_LAUNCH_MODE="MINIMAL_DEPLOYMENT") AND NOT ADSK_SETUP_SUCCEEDED
BACKGROUND_IMAGE=SetupRes\main.png

#==================== Common UIs: maintenance mode

[MaintenanceDlg]
UI_CREATOR=MaintenanceDialog
UI_SOURCE=Setup\SetupAcadUi.dll
UI_CONDITION=NOT ADSK_OEMPREINSTALL
BACKGROUND_IMAGE=SetupRes\main.png

[AddRemoveFeaturesDlg]
UI_CREATOR=AddRemoveFeaturesDialog
UI_SOURCE=Setup\SetupAcadUi.dll
UI_CONDITION=NOT ADSK_OEMPREINSTALL AND NOT REINSTALL="ALL" AND NOT REMOVE="ALL"

[RepairDlg]
UI_CREATOR=RepairDialog
UI_SOURCE=Setup\SetupAcadUi.dll
UI_CONDITION=NOT ADSK_OEMPREINSTALL AND REINSTALL="ALL"

[MaintVerifyReadyDlg]
UI_CREATOR=MaintVerifyReadyDialog
UI_SOURCE=Setup\SetupAcadUi.dll
UI_CONDITION=NOT ADSK_OEMPREINSTALL

[MaintCompleteDlg]
UI_CREATOR=MaintCompleteDialog
UI_SOURCE=Setup\SetupAcadUi.dll
UI_CONDITION=NOT ADSK_OEMPREINSTALL AND ADSK_SETUP_SUCCEEDED
BACKGROUND_IMAGE=SetupRes\main.png

[MaintFailedDlg]
UI_CREATOR=MaintFailedDialog
UI_SOURCE=Setup\SetupAcadUi.dll
UI_CONDITION=NOT ADSK_OEMPREINSTALL AND NOT ADSK_SETUP_SUCCEEDED
BACKGROUND_IMAGE=SetupRes\main.png

[OemPreinstallLicenseDlg]
UI_CREATOR=LicenseDialog
UI_SOURCE=Setup\SetupAcadUi.dll
UI_CONDITION=ADSK_OEMPREINSTALL="1"

[OemPreinstallProductInfoDlg]
UI_CREATOR=ProductInfoDialog
UI_SOURCE=Setup\SetupAcadUi.dll
UI_CONDITION=ADSK_OEMPREINSTALL="1"

#==================== General Prerequisites

[IE]
PRODUCT_NAME=Internet Explorer
PRODUCT_MESSAGE=SetupRes.dll;209
VC_FUNC=IeVerCheck
VC_SOURCE=Setup\SetupUi.dll
VC_SOURCE_II=AdAppMgrSetup.dll
VC_PARAM=7.0.5730;7.0;1
VC_DESCRIPTION=Detecting Internet Explorer

[MSI]
PLATFORM=ALL
PRODUCT_NAME=Windows Installer Redistributable
EXE_PATH=3rdParty\MSI
EXE_PARAM=/quiet /norestart
VC_FUNC=MsiVerCheck
VC_SOURCE=Setup\SetupUi.dll
VC_SOURCE_II=AdAppMgrSetup.dll
VC_PARAM=4.0
VC_DESCRIPTION=Detecting MSI

[MSXML6]
PLATFORM=NATIVE
PRODUCT_NAME=MSXML 6
EXE_PATH=3rdParty\x86\msxml6\msxml6.msi
EXE64_PATH=3rdParty\x64\msxml6\msxml6_x64.msi
IGNORE_FAILURE=YES
VC_FUNC=MsxmlVerCheck
VC_SOURCE=Setup\SetupUi.dll
VC_SOURCE_II=AdAppMgrSetup.dll
VC_PARAM=6.0

[DIRECTX]
PLATFORM=ALL
PRODUCT_NAME=DirectX Runtime
EXE_PATH=3rdParty\DirectX\DXSETUP.exe
EXE_PARAM=/silent
IGNORE_FAILURE=YES
DISKCOST=50000000
VC_FUNC=DXVerCheck
VC_SOURCE=Setup\AmaUI.dll
VC_PARAM=4.11.00.0904

[NLM]
PRODUCT_NAME=Network License Manager
PRODUCT_GROUP=Network License Components
EULA_PATH=eula
LOG=%tmp%\NLM Install.log
EXE64_PATH=3rdParty\x64\NLM.msi
INSTALL_TYPE=4
ACTION=INSTALL
IGNORE_FAILURE=YES
ALLOW_ADD_REMOVE=NO

[NLSDL]
PLATFORM=NATIVE
PRODUCT_NAME=Microsoft NLS Downlevel APIs
EXE_PATH=NLSDL\nlsdl.x86.exe
EXE64_PATH=NLSDL\nlsdl.amd64.exe
EXE_PARAM=/quiet /norestart
IGNORE_FAILURE=YES

[UCRT]
PLATFORM=NATIVE
PRODUCT_NAME=Universal C Runtime (KB3118401)
EXE_PATH=3rdParty\ucrt\AdUcrtInstaller.exe
EXE_PARAM=/S
IGNORE_FAILURE=YES
ROLLBACKABLE=NO
DISKCOST=11001000

[ADAPPLICATIONMANAGER]
PLATFORM=NATIVE
ACTION=
UI_SEQUENCE=AdAppManPage
PRODUCT_NAME=Autodesk Application Manager
PRODUCT_MESSAGE=SetupRes.dll;710
EXE_PATH=x86\ADAPPLICATIONMANAGER\AdApplicationManager-WebInstaller.exe
EXE_PARAM=
IGNORE_FAILURE=YES
VC_FUNC=AdAppManCheck
VC_SOURCE=Setup\SetupUi.dll
VC_SOURCE_II=AdAppMgrSetup.dll
VC_PARAM=5.0.142.10
HIDDEN_COMPONENT=YES
DISKCOST=80000000

[ADSKAPP]
PLATFORM=NATIVE
ACTION=INSTALL
UI_SEQUENCE=AdAppManPage
PRODUCT_NAME=Autodesk Desktop App
PRODUCT_MESSAGE=SetupRes.dll;710
EXE_PATH=x86\ADSKAPP\AdApplicationManager-WebInstaller.exe
EXE_PARAM=
IGNORE_FAILURE=YES
HIDDEN_COMPONENT=YES
DISKCOST=80000000

[AdAppManPage]
UI_CREATOR=AdAppManPage
UI_SOURCE=Setup\DeployUi.dll
UI_CONDITION=ADSK_LAUNCH_MODE="DEPLOYMENT" OR ADSK_LAUNCH_MODE="MINIMAL_DEPLOYMENT"

[VCREDIST2015X86]
PLATFORM=ALL
PRODUCT_NAME=Microsoft Visual C++ 2015 Redistributable (x86)
PREREQUISITE=UCRT
EXE_PATH=3rdParty\x86\VCRedist\2015\vcredist_x86.exe
EXE_PARAM=/install /quiet /norestart
VC_FUNC=VCRedist2015x86check
VC_SOURCE=Setup\SetupUi.dll
VC_SOURCE_II=AdAppMgrSetup.dll
VC_PARAM=23026
IGNORE_ERROR=5100
IGNORE_FAILURE=YES
DISKCOST=45002244

[VCREDIST2015X64]
PLATFORM=x64
PRODUCT_NAME=Microsoft Visual C++ 2015 Redistributable (x64)
PREREQUISITE=UCRT
EXE64_PATH=3rdParty\x64\VCRedist\2015\vcredist_x64.exe
EXE_PARAM=/install /quiet /norestart
VC_FUNC=VCRedist2015x64check
VC_SOURCE=Setup\SetupUi.dll
VC_SOURCE_II=AdAppMgrSetup.dll
VC_PARAM=23026
IGNORE_ERROR=5100
IGNORE_FAILURE=YES
DISKCOST=55002244

[VCREDISTX86]
PLATFORM=ALL
PRODUCT_NAME=Microsoft Visual C++ 2010 Redistributable (x86)
EXE_PATH=3rdParty\x86\VCRedist\2010\vcredist_x86.exe
EXE_PARAM=/q /norestart
VC_FUNC=VCx86RedisCheck
VC_SOURCE=Setup\SetupUi.dll
VC_SOURCE_II=AdAppMgrSetup.dll
VC_PARAM={196BB40D-1578-3D01-B289-BEFC77A11A1E}
IGNORE_ERROR=5100

[VCREDISTVC11X86]
PLATFORM=ALL
PRODUCT_NAME=Microsoft Visual C++ 2012 Redistributable (x86)
EXE_PATH=3rdParty\x86\VCRedist\2012\vcredist_x86.exe
EXE_PARAM=/install /quiet /norestart
IGNORE_ERROR=5100

[VCREDISTVC11X64]
PLATFORM=x64
PRODUCT_NAME=Microsoft Visual C++ 2012 Redistributable (x64)
EXE64_PATH=3rdParty\x64\VCRedist\2012\vcredist_x64.exe
EXE_PARAM=/install /quiet /norestart
IGNORE_ERROR=5100

[VCREDISTX64]
PLATFORM=x64
PRODUCT_NAME=Microsoft Visual C++ 2010 Redistributable (x64)
EXE64_PATH=3rdParty\x64\VCRedist\2010\vcredist_x64.exe
EXE_PARAM=/q /norestart
VC_FUNC=VCx64RedisCheck
VC_SOURCE=Setup\SetupUi.dll
VC_SOURCE_II=AdAppMgrSetup.dll
VC_PARAM={DA5E371C-6333-3D8A-93A4-6FD5B20BCC6E}
IGNORE_ERROR=5100

[VCREDIST2008SP1X86_6161]
PLATFORM=ALL
PRODUCT_NAME=Microsoft Visual C++ 2008 SP1 Redistributable (x86) 9.0.30729.6161
EXE_PATH=3rdParty\x86\VCRedist\2008SP1\vcredist_x86.exe
EXE_PARAM=/q
ROLLBACKABLE=NO
IGNORE_ERROR=YES
VC_FUNC=VCx86RedisCheck
VC_SOURCE=Setup\SetupUi.dll
VC_PARAM={9BE518E6-ECC6-35A9-88E4-87755C07200F}

[VCREDIST2008SP1X64_6161]
PLATFORM=x64
PRODUCT_NAME=Microsoft Visual C++ 2008 SP1 Redistributable (x64) 9.0.30729.6161
EXE64_PATH=3rdParty\x64\VCRedist\2008SP1\vcredist_x64.exe
EXE_PARAM=/q
ROLLBACKABLE=NO
IGNORE_ERROR=YES
VC_FUNC=VCx64RedisCheck
VC_SOURCE=Setup\SetupUi.dll
VC_PARAM={5FCE6D76-F5DC-37AB-B2B8-22AB8CEDB1D4}

[INTEL_REDISTX86]
PLATFORM=ALL
PRODUCT_NAME=Intel Parallel Studio Redistributable (x86)
EULA_PATH=eula
LOG=%tmp%\Intelredist_x86.log
INSTALL_TYPE=4
ACTION=INSTALL
EXE_PATH=3rdParty\x86\ww_icl_redist_ia32_2016.0.110.msi
EXE_PARAM=
IGNORE_ERROR=5100
IGNORE_FAILURE=YES

[INTEL_REDISTX64]
PLATFORM=x64
PRODUCT_NAME=Intel Parallel Studio Redistributable (x64)
EULA_PATH=eula
LOG=%tmp%\Intelredist_x64.log
INSTALL_TYPE=4
ACTION=INSTALL
EXE64_PATH=3rdParty\x64\ww_icl_redist_intel64_2016.0.110.msi
EXE_PARAM=
IGNORE_ERROR=5100
IGNORE_FAILURE=YES

[DOTNET]
PLATFORM=ALL
PRODUCT_NAME=.NET Framework Runtime 4.0
EXE_PATH=3rdParty\NET\4\wcu\dotNetFramework\dotNetFx40_Full_x86_x64.exe
VC_PARAM=4.0.30319
VC_DESCRIPTION=Detecting .NET 4.0 Runtime

[_DOTNET35SP1]
PLATFORM=ALL
PRODUCT_NAME=.NET Framework Runtime 3.5 SP1
EXE_PATH=3rdParty\NET\35SP1\wcu\dotNetFramework\Install35Net.exe
VC_FUNC=DotnetVerify
VC_SOURCE=Setup\SetupUi.dll
VC_SOURCE_II=AdAppMgrSetup.dll
VC_PARAM=.NET Framework 3.5 SP1
VC_DESCRIPTION=Detecting .NET Runtime 3.5 SP1
DISKCOST=80000000
IGNORE_FAILURE=YES

[DOTNET45]
PLATFORM=ALL
PRODUCT_NAME=.NET Framework Runtime 4.5
EXE_PATH=3rdParty\NET\45\wcu\dotNetFramework\dotnetfx45_full_x86_x64.exe
EXE_PARAM=/q /norestart
VC_FUNC=DotnetVerify
VC_SOURCE=Setup\SetupUi.dll
VC_SOURCE_II=AdAppMgrSetup.dll
VC_PARAM=.NET Framework 4.5
VC_DESCRIPTION=Detecting .NET 4.5 Runtime
DISKCOST=352037424

[DOTNET45LANG]
PLATFORM=ALL
PRODUCT_NAME=.NET Framework Runtime 4.5 Language pack
EXE_PATH=3rdParty\NET\45\wcu\dotNetFramework\dotNetFx45LP_Full_x86_x64_%lcid%.exe
EXE_PARAM=/q /norestart
AVAILABLELANGUAGES=1025;1028;1029;1030;1031;1032;1035;1036;1037;1038;1040;1041;1042;1044;1045;1046;1049;1053;1055;2052;2070;3082
VC_FUNC=DotnetLangPacksVerCheck
VC_SOURCE=Setup\SetupUi.dll
VC_SOURCE_II=AdAppMgrSetup.dll
VC_PARAM=%lcid%;4.5.50709
VC_DESCRIPTION=Detecting .NET 4.5 Runtime
LPMODE=MLD_ADR
IGNORE_LANGS=1033
IGNORE_FAILURE=YES

[DOTNET46]
PLATFORM=ALL
PRODUCT_NAME=.NET Framework Runtime 4.6
EXE_PATH=3rdParty\NET\46\wcu\dotNetFramework\dotnetfx46_full_x86_x64.exe
EXE_PARAM=/q /norestart
IGNORE_FAILURE=YES
VC_FUNC=DotnetVerify
VC_SOURCE=Setup\SetupUi.dll
VC_SOURCE_II=AdAppMgrSetup.dll
VC_PARAM=.NET Framework 4.6
VC_DESCRIPTION=Detecting .NET 4.6 Runtime
DISKCOST=550022444

[DOTNET46LANG]
PLATFORM=ALL
PRODUCT_NAME=.NET Framework Runtime 4.6 Language pack
EXE_PATH=3rdParty\NET\46\wcu\dotNetFramework\dotNetFx46LP_Full_x86_x64_%lcid%.exe
EXE_PARAM=/q /norestart
IGNORE_FAILURE=YES
AVAILABLELANGUAGES=1028;1029;1031;1036;1038;1040;1041;1042;1045;1046;1049;1053;2052;2070;3082
VC_FUNC=DotnetLangPacksVerCheck
VC_SOURCE=Setup\SetupUi.dll
VC_SOURCE_II=AdAppMgrSetup.dll
VC_PARAM=%lcid%;4.6.00081
VC_DESCRIPTION=Detecting .NET 4.6 Runtime
LPMODE=MLD_ADR
IGNORE_LANGS=1033
IGNORE_FAILURE=YES

[SSE2]
PRODUCT_NAME=SSE2 Support Check
PRODUCT_MESSAGE=SSE2 Support Check
VC_FUNC=CheckForSSE2Support
VC_SOURCE=Setup\SetupUi.dll
VC_SOURCE_II=AdAppMgrSetup.dll
VC_DESCRIPTION=SSE2 Support Check

[CLMCERT]
PLATFORM=NATIVE
UI_PROPERTY=ENABLE_ARP_ENTRY;
MINORUPGRADE_PREV_VERSION=YES
PREREQUISITE=
POSTREQUISITE=
PRODUCT_NAME=Autodesk License Service Certificate
PRODUCT_ICON=%platform%\CLM\setup.ico
PRODUCT_MESSAGE=
EULA_PATH=eula
LOG=%tmp%\CLM Certificate Install.log
EXE_PATH=3rdParty\x64\CLM\CLIC_x64_Release_certificate.msi
EXE_PARAM=
ACTION=INSTALL
REMOVE_PATH=
USE_EXTERNAL_UI=YES
UI_SEQUENCE=InstallTypePage;ContentLocationPage;PathCustomizationPage;AddAdditionalFilesPage;WorkstationSettingPage;ServicePackPageForDeploy;ServicePackPageForInstall;InfoCenterCommCenterPage;OnlineResourcesPage
MAINTENANCE_UI_SEQUENCE=MaintenanceDlg;AddRemoveFeaturesDlg;RepairDlg;MaintVerifyReadyDlg;FullProgressDlg;MaintCompleteDlg;MaintFailedDlg
ADMIN_INSTALL=YES
DISK_PROMPT=
DISK_LABEL=
EXTRA_FEATURES=DeployUiFeature;SetupIniFeature

[CLM]
PLATFORM=NATIVE
UI_PROPERTY=ENABLE_ARP_ENTRY
SHAREDREQUISITE=CLMCERT
PREREQUISITE=
POSTREQUISITE=
PRODUCT_NAME=Autodesk License Service x64
PRODUCT_ICON=3rdParty\x64\CLM\setup.ico
PRODUCT_MESSAGE=
EULA_PATH=eula
LOG=%tmp%\HPFA2019_CLM_Install.log
EXE_PATH=3rdParty\x64\CLM\CLIC_x64_Release.msi
EXE_PARAM=
ACTION=INSTALL
REMOVE_PATH=
USE_EXTERNAL_UI=YES
UI_SEQUENCE=InstallTypePage;ContentLocationPage;PathCustomizationPage;AddAdditionalFilesPage;WorkstationSettingPage;ServicePackPageForDeploy;ServicePackPageForInstall;InfoCenterCommCenterPage;OnlineResourcesPage
MAINTENANCE_UI_SEQUENCE=MaintenanceDlg;AddRemoveFeaturesDlg;RepairDlg;MaintVerifyReadyDlg;FullProgressDlg;MaintCompleteDlg;MaintFailedDlg
ADMIN_INSTALL=YES
EXTRA_FILES=acad;
EXTRA_FEATURES=DeployUiFeature;SetupIniFeature

[ASSA-en-US]
EXE_PATH=%platform%\en-US\ASSA\ASSA_lp.msi
LOG=%tmp%\ASSA en-US 2019 LangPack Install.log
DISK_PROMPT=AmaUIRes.dll;10051
DISK_LABEL=ASSA2019_64bit

[ASSA-de-DE]
EXE_PATH=%platform%\de-DE\ASSA\ASSA_lp.msi
LOG=%tmp%\ASSA de-DE 2019 LangPack Install.log
DISK_PROMPT=AmaUIRes.dll;10051
DISK_LABEL=ASSA2019_64bit

[ASSA-es-ES]
EXE_PATH=%platform%\es-ES\ASSA\ASSA_lp.msi
LOG=%tmp%\ASSA es-ES 2019 LangPack Install.log
DISK_PROMPT=AmaUIRes.dll;10051
DISK_LABEL=ASSA2019_64bit

[ASSA-fr-FR]
EXE_PATH=%platform%\fr-FR\ASSA\ASSA_lp.msi
LOG=%tmp%\ASSA fr-FR 2019 LangPack Install.log
DISK_PROMPT=AmaUIRes.dll;10051
DISK_LABEL=ASSA2019_64bit

[ASSA-it-IT]
EXE_PATH=%platform%\it-IT\ASSA\ASSA_lp.msi
LOG=%tmp%\ASSA it-IT 2019 LangPack Install.log
DISK_PROMPT=AmaUIRes.dll;10051
DISK_LABEL=ASSA2019_64bit

[ASSA-ja-JP]
EXE_PATH=%platform%\ja-JP\ASSA\ASSA_lp.msi
LOG=%tmp%\ASSA ja-JP 2019 LangPack Install.log
DISK_PROMPT=AmaUIRes.dll;10051
DISK_LABEL=ASSA2019_64bit

[ASSA-ko-KR]
EXE_PATH=%platform%\ko-KR\ASSA\ASSA_lp.msi
LOG=%tmp%\ASSA ko-KR 2019 LangPack Install.log
DISK_PROMPT=AmaUIRes.dll;10051
DISK_LABEL=ASSA2019_64bit

[ASSA-pt-PT]
EXE_PATH=%platform%\pt-PT\ASSA\ASSA_lp.msi
LOG=%tmp%\ASSA pt-PT 2019 LangPack Install.log
DISK_PROMPT=AmaUIRes.dll;10051
DISK_LABEL=ASSA2019_64bit

[ASSA-zh-CN]
EXE_PATH=%platform%\zh-CN\ASSA\ASSA_lp.msi
LOG=%tmp%\ASSA zh-CN 2019 LangPack Install.log
DISK_PROMPT=AmaUIRes.dll;10051
DISK_LABEL=ASSA2019_64bit

[ASSA-zh-TW]
EXE_PATH=%platform%\zh-TW\ASSA\ASSA_lp.msi
LOG=%tmp%\ASSA zh-TW 2019 LangPack Install.log
DISK_PROMPT=AmaUIRes.dll;10051
DISK_LABEL=ASSA2019_64bit

[ASSA]
PLATFORM=NATIVE
PRODUCT_NAME=Autodesk Advanced Material Exchange 2019
PREREQUISITE=IE;VCREDIST2015X86;VCREDIST2015X64;VCREDISTVC11X86;VCREDISTVC11X64;VCREDIST2008SP1X86_6161;VCREDIST2008SP1X64_6161;VCREDISTX86;VCREDISTX64;_DOTNET35SP1;DOTNET46;DOTNET46LANG;DIRECTX;MSXML6
POSTREQUISITE=ASSA-en-US
EXE_PATH=%platform%\ASSA\ASSA.msi
EXE_PARAM=
LOG=%tmp%\ASSA 2019 Install.log
ADMIN_INSTALL=YES
PRODUCT_MESSAGE=AmaUIRes.dll;10053
IGNORE_FAILURE=YES
ALLOW_ADD_REMOVE=YES
BACKGROUND_IMAGE=SetupRes\Main_suite.png
EULA_PATH=eula
ACTION=INSTALL
REMOVE_PATH=
USE_EXTERNAL_UI=YES
EXTRA_FEATURES=SetupIniFeature
PRODUCT_ICON=SetupRes\ASSA.ico
UI_SEQUENCE=InstallTypePage
MAINTENANCE_UI_SEQUENCE=MaintenanceDlg;RepairDlg;MaintVerifyReadyDlg;FullProgressDlg;MaintCompleteDlg;MaintFailedDlg
LPMODE=MUI
DEFAULTMEDIALANGUAGE=en-US
AVAILABLELANGUAGES=en-US;ja-JP;de-DE;es-ES;fr-FR;it-IT;ko-KR;pt-PT;zh-CN;zh-TW

[ASSA_LANGPACK]
PRODUCT_NAME=Autodesk Advanced Material Exchange 2019 Language Pack
EXE_PATH=%platform%\%lang%\ASSA\ASSA_lp.msi
LOG=%tmp%\ASSA %lang% 2019 LangPack Install.log

#==================== ASCA
[ASCA]
PLATFORM=NATIVE
PREREQUISITE=IE;SSE2;VCREDISTX86;VCREDISTX64;VCREDISTVC11X86;VCREDISTVC11X64;VCREDIST2015X86;VCREDIST2015X64;INTEL_REDISTX86;INTEL_REDISTX64;DOTNET45;DOTNET46;DOTNET46LANG;UCRT
SHAREDREQUISITE=CLM
PRODUCT_NAME=Autodesk Helius PFA 2019
PRODUCT_ICON=SetupRes\acmpan.ico
BACKGROUND_IMAGE=SetupRes\main.png
PRODUCT_MESSAGE=HeliusRes.dll;3111
EULA_PATH=eula
LOG=%tmp%\HeliusPFAInstall2019.log
EXE_PATH=%platform%\Prod1\ASCA.msi
EXE_PARAM=
ACTION=INSTALL
REMOVE_PATH=
USE_EXTERNAL_UI=YES
UI_SEQUENCE=InstallTypePage;PathCustomizationPage;AddAdditionalFilesPage;WorkstationSettingPage;InfoCenterCommCenterPage;OnlineResourcesPage
MAINTENANCE_UI_SEQUENCE=MaintenanceDlg;AddRemoveFeaturesDlg;RepairDlg;MaintVerifyReadyDlg;FullProgressDlg;MaintCompleteDlg;MaintFailedDlg
EXTRA_FILES=prod1;x64\prod1\*.pit
ADMIN_INSTALL=YES
#DISK_PROMPT=TestAppRes.dll;101;106
DISK_LABEL=ACMPAN2019_32bit;ACMPAN2019_64bit
#EXTRA_FEATURES=DeployUiFeature;SetupIniFeature
#PRODUCT_INSTALLED_INFO_MSG=SetupRes.dll;63307
#PRODUCT_INSTALLED_INFO_URL=TestAppRes.dll;142

LPMODE=MLD_ADR
AVAILABLELANGUAGES=en-US;de-DE;ja-JP;zh-CN
DEFAULTMEDIALANGUAGE=en-US
LAUNCH_SHORTCUT=[ProductName]\[ProductName].lnk
UPI2_ENABLED=YES
UPI2_GENERATE=YES
UPI2_PRODUCTLINE=ACMPAN
UPI2_RELEASE=2019
UPI1_MASTER_ID=WIN64
UPI2_UNITTYPE=APP
UPI2_ROOTFEATURE=DefaultFeature

#==================== PROD1 UI Sequence
[LicenseTypePage]
UI_CREATOR=LicenseTypePage
UI_SOURCE=Setup\SetupAcadUi.dll
UI_CONDITION=NOT ADSK_OEMPREINSTALL

[InstallTypePage]
UI_CREATOR=InstallTypePage
UI_SOURCE=Setup\SetupAcadUi.dll

#==================== ACAD Deploy UI Sequence
[ContentLocationPage]
UI_CREATOR=ContentLocationPage
UI_SOURCE=Setup\SetupAcadUi.dll
UI_CONDITION=ADSK_LAUNCH_MODE="DEPLOYMENT" OR ADSK_LAUNCH_MODE="MINIMAL_DEPLOYMENT"

[PathCustomizationPage]
UI_CREATOR=PathCustomizationPage
UI_SOURCE=Setup\DeployUi.dll
UI_CONDITION=ADSK_LAUNCH_MODE="DEPLOYMENT" OR ADSK_LAUNCH_MODE="MINIMAL_DEPLOYMENT"

[AddAdditionalFilesPage]
UI_CREATOR=AddAdditionalFilesPage
UI_SOURCE=Setup\DeployUi.dll
UI_CONDITION=ADSK_LAUNCH_MODE="DEPLOYMENT" OR ADSK_LAUNCH_MODE="MINIMAL_DEPLOYMENT"

[WorkstationSettingPage]
UI_CREATOR=WorkstationSettingPage
UI_SOURCE=Setup\DeployUi.dll
UI_CONDITION=ADSK_LAUNCH_MODE="DEPLOYMENT" OR ADSK_LAUNCH_MODE="MINIMAL_DEPLOYMENT"

[ServicePackPageForDeploy]
UI_CREATOR=ServicePackPage
UI_SOURCE=Setup\SetupAcadUi.dll
UI_CONDITION=ADSK_LAUNCH_MODE="DEPLOYMENT" OR ADSK_LAUNCH_MODE="MINIMAL_DEPLOYMENT"

[ServicePackPageForInstall]
UI_CREATOR=ServicePackPage
UI_SOURCE=Setup\SetupAcadUi.dll
UI_CONDITION=ADSK_RUNNING_FROM_ADMIN="FALSE" AND NOT ADSK_LAUNCH_MODE="DEPLOYMENT" AND NOT ADSK_LAUNCH_MODE="MINIMAL_DEPLOYMENT"

[InfoCenterCommCenterPage]
UI_CREATOR=InfoCenterCommCenterPage
UI_SOURCE=Setup\DeployUi.dll
UI_CONDITION=ADSK_LAUNCH_MODE="DEPLOYMENT" OR ADSK_LAUNCH_MODE="MINIMAL_DEPLOYMENT"

[OnlineResourcesPage]
UI_CREATOR=OnlineResourcesPage
UI_SOURCE=Setup\DeployUi.dll
UI_CONDITION=ADSK_LAUNCH_MODE="DEPLOYMENT" OR ADSK_LAUNCH_MODE="MINIMAL_DEPLOYMENT"

#==================== TOOL - UIs

[Tool_InstallTypePage]
UI_CREATOR=InstallTypePage
UI_SOURCE=Setup\SetupAcadUi.dll
